`<classes>` | specifies all the classes of which the documented element or class is a member or subclass.
Attributes: |
`names` | lists the identifiers of all classes of which the documented element or class is a member or subclass, possibly using parentheses to indicate inheritance.
| Datatype: CDATA
| Values: a list of class names separated by spaces or commas, and optionally enclosed by parentheses; each name should be the class name specified for some element class in the scheme being documented or modified.
| Default: #REQUIRED

Example

    <classes names='hqinter (inter (common))'>hqinter
    [and indirectly also:] common, inter</classes>

This `<classes>` element indicates that the element documented is a member of the class `hqinter` , which is itself a subclass of the classes `inter` and thus also of `common` . The value of the `names` attribute and the content are synonymous, two ways of representing the same information.

Example

       <classes names='hqinter'>hqinter</classes>

This `<classes>` element indicates that the element documented is a member of the class `hqinter` , but gives no indication that `hqinter` is itself a subclass of `phrase` .

Tagset auxiliary tag set for tag set declarations
Class
Filename `teitsd2`
Content: Empty
Parents classDoc tagDoc
Children#PCDATA
Declaration

    <!ELEMENT classes       - O  (#PCDATA)                          >
    <!ATTLIST classes            %a.global
              names              CDATA               #REQUIRED      >

See 27.1 ; 27.2

Back to index